Subject: Re: [Cbe-oss-dev] [PATCH] Ignore memory listed in PS3 device tree

From: Arnd Bergmann <[email-masked]>
Date: Wed, 4 Apr 2007 00:55:35 +0200

On Wednesday 04 April 2007, Geoff Levand wrote:
> So there are really two answers, one is that having the boot memory in the
> DT hasn't changed, I just haven't finished that part yet.  The other is that
> we get the amount of memory at runtime because it is a dynamic resource, and
> cannot be known at DT compile time.

But the device tree can easily be modified before entering the new kernel,
when the kboot kernel allocates all the memory it can get, it just needs
to list it in the device tree in some preallocated device node.

	Arnd <><